- Update a case with a full update (not a patch).
Fetch cases by ID, case number, or channel case identifier.
Create a new case.
Delete cases by ID or case number. Supports bulk delete.
Update a case with a partial update (PATCH).
Apply macro on a case.
Fetch IDs of messages associated with a case.
Bulk create profile cases (async)
Poll bulk case job status
Merge cases.
Get AI+ case smart summary.
Update a case with a full...
Security
bearerAuth and apiKeyAuth
Workflow details of the case. It includes customproperties, queues, assignment details of the case.
last time when a message was associated to the profile
- Mock serverhttps://developer.sprinklr.com/_mock/apis/sprinklr-v3/case
- Production Serverhttps://api3.sprinklr.com/prod/api/v3/case
curl -i -X PUT \
'https://developer.sprinklr.com/_mock/apis/sprinklr-v3/case?id=string&caseNumber=string' \
-H 'Authorization: Bearer <YOUR_Token_HERE>' \
-H 'Content-Type: application/json' \
-H 'Key: YOUR_API_KEY_HERE' \
-d '{
"id": "string",
"caseNumber": 0,
"subject": "string",
"description": "string",
"version": 0,
"status": "string",
"priority": "string",
"caseType": "string",
"externalCase": {
"id": "string",
"caseNumber": "string",
"channelType": "string",
"permalink": "string",
"createdTime": 0,
"modifiedTime": 0,
"clientId": 0,
"subDomain": "string",
"additional": {
"property1": "string",
"property2": "string"
}
},
"externalCaseInfo": {
"externalCases": [
{
"id": "string",
"caseNumber": "string",
"channelType": "string",
"permalink": "string",
"createdTime": 0,
"modifiedTime": 0,
"clientId": 0,
"subDomain": "string",
"additional": {
"property1": "string",
"property2": "string"
}
}
]
},
"workflow": {
"assignment": {
"assigneeId": "string",
"assigneeType": "string",
"assignedById": 0,
"assignmentTime": 0
},
"modifiedTime": 0,
"customProperties": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"queues": [
{
"queueId": 0,
"assignmentTime": 0
}
],
"spaceWorkflows": [
{
"spaceId": "string",
"modifiedTime": 0,
"customProperties": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"queues": [
{
"queueId": 0,
"assignmentTime": 0
}
]
}
],
"campaignId": "string"
},
"channelCustomProperties": [
{
"channelType": "SPRINKLR_LIVE_CHAT",
"browser": "string",
"device": "string",
"pageTitle": "string",
"pageUrl": "string",
"initiator": "string",
"ipAddress": "string",
"screenResolution": "string",
"locale": "string",
"timeZone": "string",
"conversationClosed": "string",
"country": "string",
"language": "string",
"userAgent": "string"
}
],
"contact": {
"id": "string",
"name": "string",
"channelType": "string",
"channelId": "string",
"fromSnUserId": "string"
},
"attachment": {
"type": "IMAGE",
"assetId": "string",
"attachmentOptions": [
{
"channelType": "FACEBOOK",
"accountId": 0,
"embeddable": true,
"category": "string",
"noStory": true,
"secret": true,
"blockSocialActions": true,
"expirationEnabled": true,
"expirationDate": 0,
"deletePost": true
}
],
"url": "string",
"urlHash": "string",
"title": "string",
"description": "string",
"previewUrl": "string",
"hashedPreviewUrl": "string",
"mimeType": "string",
"alternateText": "string",
"height": 0.1,
"width": 0.1,
"encryptedUrl": "string",
"sizeInBytes": 0
},
"dueDate": 0,
"summary": "string",
"smartSummary": {
"summary": "string",
"lastEditedByUser": 0,
"modifiedTime": 0
},
"createdTime": 0,
"modifiedTime": 0,
"firstMessageId": "string",
"sentiment": 0,
"latestProfileMessageAssociatedTime": 0,
"conversationId": "string",
"firstMessageAssociatedTime": 0,
"latestMessageAssociatedTime": 0,
"firstUserBrandResponseCreationTime": 0,
"avgCaseResponseSLA": 0,
"totalProcessingClockTime": 0,
"allEngagedUsersList": [
"string"
],
"associatedFanMessageCount": 0,
"associatedBrandMessageCount": 0,
"associatedUserBrandMessageCount": 0,
"deleted": true,
"latestMessageId": "string",
"associatedMessageIds": [
"string"
],
"conversationIntentIds": [
"string"
],
"customPropertiesMetadata": [
{
"fieldName": "string",
"type": "string",
"label": "string",
"clientCustomProperty": true,
"values": [
"string"
]
}
]
}'